:root {
    --primary-color: #003D66;
    --secondary-color: #0169ad; /* #0169ad */
}

.sorts-mill-goudy-regular {
  font-family: "Sorts Mill Goudy", serif;
  font-weight: 500;
  font-style: normal;
}

.sorts-mill-goudy-regular-italic {
  font-family: "Sorts Mill Goudy", serif;
  font-weight: 500;
  font-style: italic;
}


body {
    font-family: "Sorts Mill Goudy", serif;
    font-weight: 500;
    font-size: large;
    font-weight: bolder;
    background-color: #232323; /* #151515 */
    margin: 0;
    text-shadow: -1px 1px 12px rgba(0, 0, 0, 0.1); /* Black Shadow */
    color: rgb(210, 210, 210); 

}
p {
    font-size: 18px;
}

.halb {
    width: 60vh;
}

html {
    scroll-behavior: smooth;
}

header {
    background-color: var(--primary-color);   
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: flex-end;

}

.head a {
    color: rgb(210, 210, 210);
    text-decoration: none;
    margin: 0 10px;
    position: relative;

}




section {
    min-height: 35vh;
}


.head {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
    margin: 20px;
    scroll-behavior: smooth;
}
#openNav {
    display: none;
}
.openNav {
   display: none;
    
}

@media (max-width: 800px) {
    .openNav {
        display: block;
        position: absolute;
        top:10px;
        right: 20px;
        background-color: var(--primary-color);
        
    }
    .head  {
        display: none;
    }
    #openNav:checked ~ .head  {
        display: flex;
        position: absolute;
        background-color: var(--primary-color);
        flex-direction: column;
        justify-content: end;
        top: 40px;
        right: -20px;
        width: 20vh;
        padding: 10px 0;  
    }
        
    }


#eins {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.logo-container {
    width: 40vh;
    display: flex;
    justify-content: center;
    border:solid 10px var(--secondary-color);
    border-radius: 50%;
    overflow: hidden;
}
.logo-container {
    max-height: 80vw;
    height: 40vh;
    max-width: 80vw;
    width: 40vh;
}


#zwei {
    background-color: var(--primary-color);
    padding: 10px 10vh;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}
    #zwei h1 {
        font-weight: 200px;
    }

#zwei img {
    height:  23vh;
    margin-left: 20vh;
}

#drei {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    position: relative;
}



#drei .dienstleistungen {
    max-width: 80%;
    min-height: 19vh;
    width: 80%;
    background-color: var(--secondary-color);
    padding: 20px;
    margin: 10px;
}


#vier {
    background-color: var(--primary-color);;
    padding: 10px 10vh;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
}
    #vieer h2 {
        font-weight: 200px;
    }
    #vier .text2 {
        text-align: right;
    }
    #vier img {
        height: 23vh;
    }

#fünf {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 20px
}

#fünf .faq {
    width: 100%;

}

#fünf details {
    cursor: pointer;
    background-color: var(--secondary-color);
    flex-grow: 1;
    padding: 0px 10px;
    margin: 20px;
    padding-bottom: 5px ;
    padding-left: 30px;
}
    #fünf details summary {
        display: flex;
        cursor: pointer;
        padding: 10px ;
    }


#sechs {
    background-color: var(--primary-color);
    padding: 20px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-around;
   
}
    #sechs a {
        color: black;
        text-decoration: none;
    }
    #sechs a:hover {
        text-decoration: underline;
    }

#sechs #kontakt-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 300px;

}

#sechs #kontakt-form input,
#sechs #kontakt-form textarea {
    width: 50vh;
    padding: 10px;
    border: none;
}

#sechs #kontakt-form button {
    width: 52vh;
    padding: 10px;
    background-color: var(--secondary-color);
    color: rgb(210, 210, 210);
    border: none;
    cursor: pointer;
}
    #sechs #kontakt-form button:hover {
        transform: scale(1.05);
        transition: transform 0.3s;
    }
    #sechs a {
        color: rgb(210, 210, 210);
        text-decoration: none;
    }


footer {
    background-color: #003152;
    font-weight: 500;
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
}

footer a {
    color: rgb(210, 210, 210);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.IuD {
    margin-left: 20px;
}
    .IuD a {
        color: rgb(210, 210, 210);
        text-decoration: none;
    }
    .IuD a:hover {
        text-decoration: underline;
    }

@media (max-width: 990px) {


    #drei {
        flex-direction: column;
    }

    .text2 {
        text-align: center;
    }
}

@media (max-width: 430px) {

    .head {
        gap: 0px;
        
    }
    .text,
    .text2 {

        width: 30vh;
    }
    #zwei img {
    margin-left: 1vh;
}
    .dienstleistungen {
        width: 100vh;
    }

    #sechs #kontakt-form input,
    #sechs #kontakt-form textarea {
        width: 30vh;
    }

    #sechs #kontakt-form button {
        width: 32vh;
    }
    
}

@media (max-width: 700px) and (max-height: 350px) {


    #drei {
        flex-direction: row;
    }

    .text,
    .text2 {
        width: 100%;
    }
    #sechs  {
        background-size: 38vh; 
        padding-top:53px ;
    }
}

@media (max-width: 380px) {
   

    .text,
    .text2 {
        width: 40vh;
    }

    .dienstleistungen {
        width: 100vh;
    }

}

@media (max-width: 1000px) and (max-height: 550px) {


    #drei {
        flex-direction: row;
    }

    .text,
    .text2 {
        width: 100%;
    }
    #sechs  {
        background-size: 38vh; 
        padding-top:53px ;
    }
}

.effect1 {
    opacity: 0;
}
.effect1visible {
    opacity: 1;
    transition: opacity 2s ease-in-out;
    
}
.effect2 {
    opacity: 0;
    
}
.effect2visible {
    opacity: 1;
    animation: fadeIn 1.5s ease-in-out;
    
    
}
@keyframes fadeIn {
    from {
        transform: translateX(-200px);
        opacity: 0;
    }
    to {
        transform: translateX(0);
        opacity: 1;
    }
}